Bug 845598 - error: Failed to create '/root/.cache/libvirt/virsh': No such file or directory
error: Failed to create '/root/.cache/libvirt/virsh': No such file or directory
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 10:31 EDT by Jan Stodola
Modified: 2012-10-01 20:15 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-01 20:15:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2012-08-03 10:31:15 EDT
Description of problem:
Following error is shown every time I'm leaving virsh terminal:

[root@ibm-ls21-02 ~]# virsh
Welcome to virsh, the virtualization interactive terminal.

Type:  'help' for help with commands
       'quit' to quit

virsh # quit

error: Failed to create '/root/.cache/libvirt/virsh': No such file or directory
[root@ibm-ls21-02 ~]# 

Version-Release number of selected component (if applicable):
libvirt-client-0.9.13-3.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
1. run "virsh"
2. exit from virsh
  
Actual results:
error: Failed to create '/root/.cache/libvirt/virsh': No such file or directory

Expected results:
no error message
Comment 1 Osier Yang 2012-08-16 00:04:49 EDT
This should be fixed by:

commit ea9509b9e8ef9f3100a829858e8a67a90c1b1d5b
Author: Osier Yang <jyang@redhat.com>
Date:   Tue Jul 10 19:24:04 2012 +0800

    virsh: Ensure the parents of the readline history path exists
    
    Instead of changing the existed virFileMakePath to accept mode
    argument and modifying a pile of its uses, this patch introduces
    virFileMakePathWithMode, and use it instead of mkdir() to create
    the readline history dir.
Comment 2 Cole Robinson 2012-10-01 20:15:38 EDT
And this patch should be in rawhide these days.

Note You need to log in before you can comment on or make changes to this bug.